%define debug_package %{nil}

Summary:	GhiaPet configuration files for the Smart package manager
Name:		ghiapet-package-config-smart
Version:	13
Release:	1%{?dist}
License:	GPLv2+
Group:		System Environment/Base
URL:		http://www.ghiapet.net/
Source0:	COPYING
Source1:	ghiapet.channel
# Source2:	ghiapet-x86_64.channel
# Source3:	ghiapet-i386.channel
Source4:	local.channel
# Source5:	local-x86_64.channel
# Source6:	local-i386.channel
Source7:	local-updates.channel
# Source8:	local-updates-x86_64.channel
# Source9:	local-updates-i386.channel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	smart
Provides:	smart-config-ghiapet = %{version}-%{release}

%description
This package provides the configuration files required by the Smart package
manager to use GhiaPet's software repository.

%prep
%setup -cT
cp %{SOURCE0} .
cp %{SOURCE1} .
cp %{SOURCE4} .
cp %{SOURCE7} .
# sleep 3m

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/smart/channels
for channel in %{SOURCE1} %{SOURCE4} %{SOURCE7} ; do
  name=$(basename $channel)
  install -p -m0644 $channel $RPM_BUILD_ROOT%{_sysconfdir}/smart/channels/$name
  sed -i 's/\$basearch/%{_target_cpu}/' $RPM_BUILD_ROOT%{_sysconfdir}/smart/channels/$name
  sed -i 's/\$releasever/%{fedora}/' $RPM_BUILD_ROOT%{_sysconfdir}/smart/channels/$name
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING
%config(noreplace) %{_sysconfdir}/smart/channels/*.channel

%changelog
* Tue Jun  8 2010 J. Randall Owens <jrowens@ghiapet.net> - 13-1
- update for GhiaPet/Fedora 13

* Fri Jan  8 2010 J. Randall Owens <jrowens@ghiapet.net> - 12-4
- better arch/release handling

* Wed Jan  6 2010 J. Randall Owens <jrowens@ghiapet.net> - 12-2
- add local channels
- try to better handle arch

* Sun Mar 29 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 11-0.4
- rebuild for new F11 features

* Thu Dec 25 2008 Stewart Adam <s.adam at diffingo.com> 11-0.3
- Add "sleep 3m" to workaround buildsys bug

* Mon Dec 22 2008 Stewart Adam <s.adam at diffingo.com> 11-0.2
- Another workaround since buildsys doesn't seem to like ||:

* Sun Dec 21 2008 Stewart Adam <s.adam at diffingo.com> 11-0.1
- Update .channel files for devel
- Append ||: to cp so build doesn't fail on "make local"

* Thu Dec 11 2008 Stewart Adam <s.adam at diffingo.com> 10-2
- Make summary and description fields clearer

* Sat Dec 6 2008 Stewart Adam <s.adam at diffingo.com> 10-1
- Split rpmfusion-package-config-smart into free and nonfree
- Don't use %%{__commandname} in some places but not others

